
[H] High priority
[M] Medium priority
[L] Low priority (nice to have)
[?] I am not sure.

Graphics 
~~~~~~~~
 [M] Put an image with a message, while loading (instead of black screen)

 [L] Animation of rocket launch 

 [?] Draw cursor for bulldoze (and scrolling?)

Sounds
~~~~~~
 [L] Add sound for waterwell tile
 [L] Add sound for rocket launch and rocket crash. 

Translations/Help
~~~~~~~~~~~~~~~~~
 [H] There were help page without any link to them. Some of the texts
     are just wrong because they were taken from classic without any
     adjustment to the new gui.
     This should is fixed for english version in svn 1162 (march 2007), but
     need to be checked for other languages. see:
     http://lincity-ng.berlios.de/wiki/index.php/Translate#Maintaining_existing_translations

 [H] svn 1276 merged branch waterwell.
     English help is more or less ok, other languages not: 
       -added data/help/en/waterwell.xml
       -modified residential.xml, farms.xml, parks.xml, communes.xml, index.xml, button-index.xml.
          starvation.xml 

 [H] all data/locale/xy.po and data/locale/gui/xy.po files have been update (rev 1290). 
     Translators should check them with poedit for the rare new messages to translate.

Programming
~~~~~~~~~~~

--Gui--
 [M] Resize "help" window.

 [M] Implement dirty rectangle methods to only redraw when needed

 [M] drawToTexture in OpenGL (noone using this at the moment, could be used to
     optimize minimap in the future. Maybe this is a good starting point :
     http://www.paulsprojects.net/opengl/rtotex/rtotex.html)
     glTexSubImage2D might be helpfull

 [M] Use Mousecursors for
        - text normal, link (in help window) 
        - what's this (query tool)
        see data/images/gui/buttonpanel/pointer-*.png


 [?] Usability testing log. That the buttons the user pressed (and additional
     actions like scrolling the map, creating buildings, displaying building
     stats). This could be used to measure common user actions and improve
     usability.

 [?] Think about mechanism for attach arbitrary properties to components
    (for tooltips, styles (and layout data?) )


 [?] Add new file format for score file, similar to "results" (but in xml?)

 [M] Startup image instead of 10+ sec black screen. Show menu without
     delay if possible.
     Similar delay when opening stats dialog. Is findComponent() too slow? 

--Bugs--
 [H] Windows: Something in MainMenu.cpp with recentfile and curfile is broken. 

 [M] Windows: Use user's home for savegames (already fixed?)

 [M] When starting another game, stats still show values from the previous game.

 [L] New text on buttons is truncated to original textlength. 
     (eg in load game menu) Buttons that had an empty string as caption once
     won't change to anything else. At least the caption is not shown.

 [?] Generator for dialogs no longer works.(xslt 1.0 vs 1.1 see 2007-04-30 mail)

--Game--
 [M] Print out more debug infos that user can send in with debug reports:
     architecture?, SDL version, opengl driver name, SDL software driver name,
     SDL sound driver name, screen resolution

 [L] Implement a What's this button - down to [L], we can simply open the front
     page of the help file for now... Right click for help for nearly every button.

 [L] "Dungeon Keeper"-like message queue


-- Infrastructure/Deployment --
 [H] Setup an automatic backup script for the wiki!

 [L] Is it possible to automatically generate/maintain a ChangeLog file from svn
     commits?  (Nathan: http://tiefighter.et.tudelft.nl/~arthur/svn2cl/)
     Yes:  $ svn log >Changelog_full

